Package org.eclipse.gef.common.beans.value

# Interface WritableSetMultimapValue<K,V>

Type Parameters:
  `K` - The key type of the `ObservableSetMultimap`.
  `V` - The value type of the `ObservableSetMultimap`.

All Superinterfaces:
  `Multimap<K,V>`, `Observable`, `ObservableSetMultimap<K,V>`, `SetMultimap<K,V>`, `WritableObjectValue<ObservableSetMultimap<K,V>>`, `WritableValue<ObservableSetMultimap<K,V>>`

All Known Implementing Classes:
  `ReadOnlySetMultimapWrapper`, `SetMultimapProperty`, `SetMultimapPropertyBase`, `SimpleSetMultimapProperty`

public interface WritableSetMultimapValue<K,V> extends WritableObjectValue<ObservableSetMultimap<K,V>>, ObservableSetMultimap<K,V>
A writable reference to an `ObservableSetMultimap`.

This interface provides identical functionality for `SetMultimap` as `WritableMapValue` for `Map`, `WritableSetValue` for `Set`, or `WritableListValue` for `List`.

## Method Summary

### Methods inherited from interface com.google.common.collect.Multimap

`clear, containsEntry, containsKey, containsValue, forEach, hashCode, isEmpty, keys, keySet, put, putAll, putAll, remove, size, values`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableSetMultimap

`addListener, removeListener, replaceAll`

### Methods inherited from interface com.google.common.collect.SetMultimap

`asMap, entries, equals, get, removeAll, replaceValues`

### Methods inherited from interface javafx.beans.value.WritableObjectValue

`get, set`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue, setValue`